Pāriet uz saturu

Hunyuan Video V1.5 · Image to Video

Integrēt

Modeļa id hunyuan-video-v1.5/image-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/hunyuan-video-v1.5/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Šis pieprasījums: ≈0,075 $ 75 API kredīti · ≈ 8,06 ₽ Izpildīt šajā lapā

Iegūt API atslēgu
Tencent Attēls uz video #image-to-video

1.5. versijas attēla pārveidošana video ar negatīvu uzvedni, uzvednes paplašināšanu un līdz 121 kadram

Tencent · Video

Šeit būs jūsu pirmais rezultāts

Izveidojiet pieprasījumu tālāk un izpildiet to ar savu API atslēgu. Izvades tiek kopētas mūsu krātuvē un glabātas mūžīgi vai 7 dienas bez maksas.

Izveidot pieprasījumu

Vadīklas tiek ģenerētas no modeļa shēmas. Kods un cena tiek atjaunināti, kad tos maināt.

•obligāts

Video ģenerēšanas pamatā izmantotā uzvedne.

•obligāts image_url
Nometiet failu vai

Atsauces attēla URL video ģenerēšanai no attēla.

aspect_ratio noklusējums 16:9

Video malu attiecība.

noklusējums 480p

Video izšķirtspēja.

Papildu negative_prompt · num_inference_steps · num_frames · seed · enable_prompt_expansion · enable_safety_checker
noklusējums

Negatīva uzvedne, kas norāda ģenerēšanā izslēdzamo saturu.

noklusējums 28

Secināšanai izmantoto soļu skaits.

noklusējums 121

Ģenerētās izvades kadru skaits.

Sēkla, kas kontrolē nejaušību atkārtojamu rezultātu iegūšanai.

POST /run/hunyuan-video-v1.5/image-to-video?wait=20 cena → 0,075 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/hunyuan-video-v1.5/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Palaist šo pieprasījumu

Jūsu atslēga paliek šajā pārlūkprogrammā: tā tiek nosūtīta tikai uz Doitong API un saglabāta (localStorage) tikai tad, ja atzīmējat Atcerēties. Iegūt API atslēgu

Par Hunyuan Video V1.5 · Image to Video

Animē atsauces attēlu no `image_url`, izmantojot `prompt` un neobligātu `negative_prompt`. Atbalsta 16:9 vai 9:16, noklusējuma izšķirtspēju 480p un līdz 121 kadram. Secināšanas soļu skaits ir no 1 līdz 50, pēc noklusējuma 28. Uzvednes paplašināšana pēc noklusējuma ir ieslēgta.

Parametri

Nosūti vai nu kanonisko nosaukumu, vai vietējo nosaukumu, bet ne abus. Kan啤niskie nosaukumi

NosaukumsTips NoklusējumsAtļauts Apraksts
promptobligāts
Tipsstring
Video ģenerēšanas pamatā izmantotā uzvedne.
negative_promptneobligāts
Tipsstring
Noklusējums
Negatīva uzvedne, kas norāda ģenerēšanā izslēdzamo saturu.
num_inference_stepsneobligāts
Tipsinteger
Noklusējums28
1 – 50
Secināšanai izmantoto soļu skaits.
seedneobligāts
Tipsinteger | null
Sēkla, kas kontrolē nejaušību atkārtojamu rezultātu iegūšanai.
aspect_rationeobligāts
Tipsenum
Noklusējums16:9
16:99:16
Video malu attiecība.
resolutionneobligāts
Tipsstring
Noklusējums480p
Video izšķirtspēja.
num_framesneobligāts
Tipsinteger
Noklusējums121
1 – 121
Ģenerētās izvades kadru skaits.
enable_prompt_expansionneobligāts
Tipsboolean
Noklusējumstrue
Uzvednes paplašināšana, kas uzlabo sniegto uzvedni, ja tā ir iespējota.
image_urlobligāts image
Tipsurl · image
Atsauces attēla URL video ģenerēšanai no attēla.
enable_safety_checkerneobligāts
Tipsboolean
Noklusējumstrue
Pārbaudi var atslābināt, iestatot false, ja izsaucējam ir atļauja.
obligāts Kan啤niskais nosaukums, arī pieņemts

Failu parametriem nepieciešams publisks https:// URL, data: URI līdz 10 MB vai augšupielādes file_url. Faili

Izvade

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "hunyuan-video-v1.5/image-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 75,
    "usd": "0.075",
    "charged": 75,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Jūsu faili, jūsu izvēleKatrs outputs[].url ir kopija mūsu krātuvē: tiek glabāta mūžīgi (maksa par GB mēnesī) vai 7 dienas bez maksas — atbilstoši konta iestatījumam vai ?storage=.
Vienāda struktūra katram modelimtype, url, content_type, width, height un duration gan attēliem, gan video un audio. output ir paša modeļa rezultāta objekts.
Izvades lauki
video
object {url, content_type, file_name, file_size}Ģenerēšanas rezultātā iegūtais video fails.
seed
integerĢenerēšanas laikā lietotā sēklas vērtība.

Vairāk modeļu: Attēls uz video

AI aģentiem: šī lapa Markdown formātā ir pieejama https://doitong.com/lv/developers/models/hunyuan-video-v1.5/image-to-video.md. Visi modeļi un ceļveži: https://doitong.com/developers/llms.txt